import httpRequest from '@/utils/axios'

// 上传文件
export function upload(data) {
  return httpRequest({
    url: '/v1/activities/tools/upload',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    data
  })
}

// 获取热门推荐列表
export function getHotList(params) {
  return httpRequest({
    url: '/v1/activities/hotest',
    method: 'get',
    params
  })
}

// 获取我参与的列表
export function getJoinList(params) {
  return httpRequest({
    url: '/v1/activities/my/participanted',
    method: 'get',
    params
  })
}

// 获取我发起的列表
export function getPublishList(params) {
  return httpRequest({
    url: '/v1/activities/my/initiated',
    method: 'get',
    params
  })
}

// 获取活动详情
export function getActivity(id) {
  return httpRequest({
    url: `/v1/activities/${id}`,
    method: 'get'
  })
}

// 报名活动
export function joinActivity(data) {
  return httpRequest({
    url: '/v1/activities/join',
    method: 'post',
    data
  })
}

// 创建活动
export function createActivity(data) {
  return httpRequest({
    url: '/v1/activities/create',
    method: 'post',
    data
  })
}
